

/**
    Custom Dropdown styling
 */
.dan-custom-dropdown {
    position: relative;
    display: inline-block;
    user-select: none;
    width: 100%;
    :has(.fa-regular):hover {
        background-color: #484747;
        .fa-regular { color: white; }
    }
}
.dan-select-trigger {
    font-size: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    padding: 0;
    border: 1px solid #caced1;
    border-radius: 0.25em;
    background-color: #ffffff;
    cursor: pointer;
    .fa-solid {
        color: #8f0101;
    }
}
.dan-custom-options {
    position: absolute;
    top: 100%;
    width: 250px;
    max-width: 100%;
    border: 1px solid #caced1;
    border-radius: 0.25em;
    background-color: #ffffff;
    list-style: none;
    padding: 10px;
    margin: 0;
    box-shadow: 0 10px 25px rgba(0,0,0,0.2);
    max-height: 200px;
    overflow-y: auto;
    z-index: 2;

    opacity: 0;
    visibility: hidden;
    pointer-events: none;
}
.dan-custom-options::-webkit-scrollbar {
    width: 7px;
}
.dan-custom-options::-webkit-scrollbar-track {
    background: #f1f1f1;
    border-radius: 25px;
}
.dan-custom-options::-webkit-scrollbar-thumb {
    background: #ccc;
    border-radius: 25px;
}
.dan-custom-options.open {
    opacity: 1;
    visibility: visible;
    pointer-events: all;
}
.dan-custom-option {
    display: block;
    padding: 10px;
    cursor: pointer;
}
.dan-custom-options .in-list {
    background-color: #f2f2f2;
}
.dan-custom-options .system-list {
    font-weight: bold;
    border-bottom: 1px solid #caced1;
}
.dan-custom-options .savedlist-heading {
    font-weight: bold;
    border-bottom: 1px solid #caced1;
    pointer-events: none;
}
.dan-custom-option:hover, .dan-custom-option:focus {
    background-color: #f2f2f2;
    border-radius: 4px;
}
.dan-custom-option.selected {
    background-color: #f2f2f2;
    border-radius: 4px;
    font-weight: bold;
}